Advertising (This ad goes away for registered users. You can Login or Register)

CXMB universal: 3.71 - 6.61 Classic & 6.61 Infinity

Plugins for PSPs running on 6.XX
Skimbo
Posts: 17
Joined: Wed Feb 15, 2017 3:49 am

Re: CXMB universal: 3.71 - 6.61 Classic & 6.61 Infinity

Post by Skimbo » Fri Mar 03, 2017 8:06 pm

Your right, my mistake. I do have them in /PSP/Theme but they don't work. The only way is to change the conf.txt file though.

Thank you for correcting my error, I wouldn't want to have had someone really getting their themes scr..ed up because of me.

I may try some 6.60 themes and see what happens.
Advertising

User avatar
ErikPshat
Posts: 102
Joined: Sun Jan 23, 2011 5:50 am
Location: Moscow
Contact:

Re: CXMB universal: 3.71 - 6.61 Classic & 6.61 Infinity

Post by ErikPshat » Fri Mar 03, 2017 9:02 pm

Also see in the first post the latest spoiler:
  • Note! If theme CTF is displayed in the theme settings as corrupted data
Advertising

Skimbo
Posts: 17
Joined: Wed Feb 15, 2017 3:49 am

Re: CXMB universal: 3.71 - 6.61 Classic & 6.61 Infinity

Post by Skimbo » Sat Mar 04, 2017 2:32 am

I'm confused about this CHANGE.LOG because it makes it sound as if their is a newer version that corrects the theme problem but it doesn't. Am I missing something. Since you can just change the name of the theme in the "conf.txt" file and then it makes the new theme work perfectly, it seems to me like a minor function of the cxmb.prx is just to rename the theme in the conf.txt automatically. So it seems like it would be an easy fix to correct. The change.log makes it sound like the theme problem was fixed. The post is just too vague for me to understand or too cryptic of an explanation of what the CXMB Universal is actually for. Could someone this in a simpler manner? Because I don't see anyone really talking about it. Maybe a different forum that someone may know or have contact with Davee or lolhax.org they could personally ask about it. It just seems like it would be just a simple fix of the cmxb.prx file that makes it a really frustrating problem.

=============

posting.php?mode=edit&f=28&p=417233

=============

I give up! lol I've tried using the CFT Tool v5 beta 3 and it did absolutely nothing to help. It's gotta be a problem in the software. Have you installed or anybody else for that matter and gotten it to work.
I find it hard to believe that mobody is hardly discussing this. The CFT Tool keeps writing a new cxmb folder the root folder and I am not sure if it is compatible with the infinity cxmb. I have gotten it to change the conf.txt on its' own but even then I see the theme's picture and it will ask me to "apply" and then it just goes into error mode.
I'm thinking I am going to have to Chronoswitch v7 back to PRO 6.61 and always doing the fast recovery option. I wonder if LME firmware is also doing this. My whole installation went perfect when I installed infinity so I have no clue anymore. When I first tried to install infnity i missed the last step because I thought I was finished and so I removed the ms but hadn't yet ran the bootloader but I think that maybe wasn't necessary because it seemed too me like that was a step that I didn't need to do as my PSP seemed to be staying in the firmware anyway. But I went ahead and just uninstall infinity. I'm thinking I may have only downgraded it to 6.35 instead of 6.31 but I was already higher than that when I first installed infinity so I don't think that was the problem, do you! Is it worth me taking the time to try and downgrade it back to 6.31 or under and then re-installing infinity? I can change the theme manually but that would seem like a big hassle all the time.
Last edited by fate6 on Sat Mar 04, 2017 6:39 pm, edited 1 time in total.
Reason: Merged posts

User avatar
ErikPshat
Posts: 102
Joined: Sun Jan 23, 2011 5:50 am
Location: Moscow
Contact:

Re: CXMB universal: 3.71 - 6.61 Classic & 6.61 Infinity

Post by ErikPshat » Sat Mar 04, 2017 12:40 pm

Skimbo wrote:Since you can just change the name of the theme in the "conf.txt" file and then it makes the new theme work perfectly, it seems to me like a minor function of the CXMB.prx is just to rename the theme in the conf.txt automatically.
You do not need to change anything in the file "conf.txt". If something is wrong, then you just need to delete it. Then, when you apply a new theme through "theme settings", then this file "conf.txt" is automatically created. It is not there to create it to edit it manually. Also, check the path where you copied the plugin. It should be in the following path: ms0: /seplugins/cxmb/cxmb.prx. And check, did you still have the old plug-in on the path: ms0: /cxmb/cxmb.prx
Skimbo wrote:Is their a latest spoiler thread or something. I see the note you are referring too but exactly what am supposed to get from that? Am I supposed to use the CTFtool or something? Are you saying that this problem is somehow corrected?
The last spoiler simply says that you need to check for old Themes. Previously, simply not correctly converted Themes. They were converted at 6.39 to run at 6.60/6.61, because the early versions of CTFtool GUI had no choice of firmware 6.60 and 6.61. In the old CTFtool GUI the latest version was 6.39. But users resorted to such trick that they replaced files 6.39 with files from firmware 6.60. And thus converted the themes for 6.60. But in the themes the firmware version 6.39 was recorded, which is what is said in the last spoiler. In fact, Themes from 6.39 are not quite compatible with the firmware 6.60, so in the new CXMB the collaborative support 6.39 / 6.60 / 6.61 is removed. Therefore, if only the Theme was actually converted for 6.60, but the old CTFtool GUI was set to 6.39, then you need to fix the version in the Theme CTF to 6.60 (6006). You saw this picture in the last spoiler?

Image

Skimbo
Posts: 17
Joined: Wed Feb 15, 2017 3:49 am

Re: CXMB universal: 3.71 - 6.61 Classic & 6.61 Infinity

Post by Skimbo » Sun Mar 05, 2017 12:48 am

Why would you need to convert 6.60 themes to 6.61 when according to the change log the 6.60 themes should just run natively.
If I am figuring this out right, according to the change log, the 6.61 infinity was designed so that you always have to set the conf.txt file yourself and then the themes will just work. Really confusing about this since Erik seems to have been the developer but yet he is saying to convert the themes from 6.60 to 6.61. I don't mind changing the conf.txt manually if this was the way it was designed to be in the first place.
If this isn't the case then I need to Chronoswitch v7 to a lower firmware and re-try the whole 6.61 infinity installation. I know it is 2017 but I can't hardly anyone even mentioning this with infinity either now or a year or so ago unless there is something I am not understanding here. There's got to be more of a following for the PSP than the Atari 2600 I would hope! The only problem I have with changing the conf.txt manually is that unless I can find a way to extract the image from the CTF's there is no way to tell what CTF goes with what Theme so you can associate the two. The pictures of the themes do not always show their name. This is problem. I will see if there is some sort of converter to do this. Can the CTF Tool do this? :-( My goodness, I love the PSP but it seems like it is getting abandoned by people not just from Sony. I really hope I'm wrong :-(

User avatar
fate6
Big Beholder
Posts: 7581
Joined: Fri Mar 09, 2012 1:18 am
Location: [fate6@Canterlot ~]$

Re: CXMB universal: 3.71 - 6.61 Classic & 6.61 Infinity

Post by fate6 » Sun Mar 05, 2017 7:17 am

He is saying some older themes where not converted correctly so CXMB sees them as being for 6.35 and thus blocks them.
Image
anon wrote:If you can't trust a 600 year old vampire in a prepubescent girl's body, who can you trust?

User avatar
ErikPshat
Posts: 102
Joined: Sun Jan 23, 2011 5:50 am
Location: Moscow
Contact:

Re: CXMB universal: 3.71 - 6.61 Classic & 6.61 Infinity

Post by ErikPshat » Sun Mar 05, 2017 4:18 pm

Skimbo wrote:Why would you need to convert 6.60 themes to 6.61 when according to the change log the 6.60 themes should just run natively.
Where did you read this? Themes 6.60 and 6.61 are fully compatible. Themes from 6.60 work at 6.61 and vice versa.
Skimbo wrote:If I am figuring this out right, according to the change log, the 6.61 infinity was designed so that you always have to set the conf.txt file yourself and then the themes will just work.
You do not understand correctly. Perhaps in the cap (in the first post) is really not correctly translated Google-translator.
About the file conf.that does not say anything, including this - set the conf.txt file yourself
This file should be created automatically if you activate the theme through the theme settings.

Otherwise, many words, I did not understand anything. I do not understand what you want specifically to say or prove.

Skimbo
Posts: 17
Joined: Wed Feb 15, 2017 3:49 am

Re: CXMB universal: 3.71 - 6.61 Classic & 6.61 Infinity

Post by Skimbo » Mon Mar 06, 2017 2:35 am

I kind of was getting hint that something must be wacky with the firmware but I did not see the spoiler that you mention. New here but have been having a hard time trying to search for what I was trying to find.
My apologies to all of you with my frustration. I just like for things to "work right" ya know? I knew it had to be me doing something wrong.

So to follow up: How do I know which Themes were translated and/or designed that will run on 6.61. What I am starting to get what you all are saying is that Themes that were actually designed or translated correctly for one of the single core firmware's they will run on 6.61 Infinity? But if they were designed /translated correctly for a fw lower than 6.60 than you do have to use the CTFTool. Because I tried right-clicking on the themes but still they would not show up PSP and when they did "apply" would give me an error.

So now my question now. Is how to know the good, the bad and the ugly fw's to stay away from? I am not done reading the new postings, so hopefully the dimmer switch in my brain will turn up a little. Please let me know if I am right with the above.

========

So will CTFTool extract the theme to let me know the real fw that a theme was made with? I may not still get this as I searched the web for something that would let me know the real version of a theme? Just because a theme might have 6.61 in its' filename isn't necessarily correct, right? I know I'm not getting something still as I don't know how I can tell themes will properly work on my psp now. Maybe if I extract one of them I can find out. Going to try.
Last edited by fate6 on Mon Mar 06, 2017 6:16 pm, edited 1 time in total.
Reason: Merged posts

User avatar
ErikPshat
Posts: 102
Joined: Sun Jan 23, 2011 5:50 am
Location: Moscow
Contact:

Re: CXMB universal: 3.71 - 6.61 Classic & 6.61 Infinity

Post by ErikPshat » Mon Mar 06, 2017 2:03 pm

Skimbo wrote:Just because a theme might have 6.61 in its' filename isn't necessarily correct, right?
If the name of the theme indicates the firmware version, for example 6.60 or 6.61, then most likely this Theme was converted specifically for these firmware. You just have to check out her version, as shown in the screenshot in the spoiler. If there is written version 6.35 (3506) or 6.39 (3906), then you need to fix it to 6.60 (6006) or 6.61 (6106).

As I explained, the old converters had the latest version 6.39. But people used chemistry and substituted files from the firmware 6.60 in the folder - CTFtoolGUI\base\639 and converted the theme for 6.60. But in the file itself, the converter still wrote firmware version 6.39 (3906), see screenshot.

Skimbo
Posts: 17
Joined: Wed Feb 15, 2017 3:49 am

Re: CXMB universal: 3.71 - 6.61 Classic & 6.61 Infinity

Post by Skimbo » Mon Mar 06, 2017 11:08 pm

The addressing makes sense to me now. But take for example this theme but take this example "Aniom v2.CTF" : CTFTool is telling me that it does not need to be converted because it is already at 6.61. I then will copy it over to PSP/THEME/ but it still will not run. I can see the icon and screen for it but I still refuses to load.

Thanks for your reply.

Post Reply

Return to “Plugins”